public class MyLinkedList
{
	private ListNode head;

	public MyLinkedList()
	{
	
	}

	public boolean isEmpty()
	{
		return true;
	}

	public void addAtFront(Object o)
	{
	
	}

	public void addAtEnd(Object o)
	{
	
	}

	public void addInOrder(Object o)
	{
	
	}

	public Object find(Object key)
	{
		return null;
	}

	public boolean remove(Object o)
	{
		return true;
	}

	public String toString()
	{
		String result = "";

		return result;
	}

	public static void main(String[] args)
	{
		MyLinkedList l = new MyLinkedList();

		l.addAtFront("minion");
		l.addAtEnd("of");
		l.addAtEnd("Zuul");
		l.addAtFront("Gozer");
		System.out.println(l);
	}
}